View Issue Details

IDProjectCategoryView StatusLast Update
0000569Main CAcert Websitemy accountpublic2014-01-21 09:33
ReporterC_A Assigned ToNEOatNHNG  
PrioritynormalSeveritytrivialReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2008 
Target Version2013 Q2Fixed in Version2013 Q4 
Summary0000569: output order when removing email address
Descriptionhttps://www.cacert.org/account.php?id=2

If you remove a (secondary) email address using the delete button you get the following output:

"
<email address>
The following accounts have been removed:
"

maybe it should be:

"
The following accounts have been removed
<email address>
"
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Relationships

has duplicate 0001126 closed Whern deleting an email address the confirmation test is at the wrong place 
has duplicate 0001006 closed When an email address is deleted from an account the message has an error 

Activities

Werner Dworak

2012-12-26 05:12

updater   ~0003563

Last edited: 2012-12-26 05:12

View 2 revisions

Either change the order of lines or change the text to "The above accounts have been removed:"

INOPIAE

2013-01-18 23:06

updater   ~0003705

I pushed the fix to https://github.com/INOPIAE/CAcert/commit/bug-569

MartinGummi

2013-02-19 23:36

updater   ~0003762

Die folgenden Konten wurden entfernt:
\name@domain.tld

why a \n

INOPIAE

2013-02-20 00:06

updater   ~0003763

The following accounts have been removed:
name@domain.tld
=>ok

Werner Dworak

2013-02-20 05:55

updater   ~0003765

The order is now correct:

Die folgenden Konten wurden entfernt:
anton@wombaz.de
berta@wombaz.de

--> Ok

INOPIAE

2013-04-16 21:11

updater   ~0003893

please review as test are done

NEOatNHNG

2013-05-07 23:03

administrator   ~0003983

Second review OK.

BenBE

2013-05-13 19:24

updater   ~0003991

Transferred to critical.

INOPIAE

2013-06-04 20:49

updater   ~0004039

Last edited: 2013-06-04 20:55

View 2 revisions

Added patch to github on 2013-05-21 to solve the problem on the mailing list
SHA-1: 9500530ca333e99b03571625bcee5e2bc085c2e9

INOPIAE

2013-06-11 22:16

updater   ~0004050

Created two new email addresses in an account.
Deleted them:
message shows:
The following email addresses have been removed:
1.5.may@acme.com
2.5.may@acme.com

NEOatNHNG

2013-08-27 22:41

administrator   ~0004257

Have reviewed the additional changes. Look OK.

NEOatNHNG

2013-08-27 22:52

administrator   ~0004259

Just fixed the wording too.

BenBE

2013-08-27 22:57

updater   ~0004260

Change of wording OK.

Eva

2013-09-06 20:40

updater   ~0004302

Created and verified two new email addresses in a member accout.
Deleted them. The message I got was:

The following email addresses have been removed:
katzitest3@cacert.org
katzitest2@cacert.org

(Those were the two email addresses)

=> ok

INOPIAE

2013-10-15 20:48

updater   ~0004385

Created and verified two new email addresses in a member accout.
Deleted them. The message I got was:

The following email addresses have been removed:
test569.2@acme.com
test569.1@acme.com

=> ok

MartinGummi

2013-10-15 20:58

updater   ~0004386

Create and verified two new email adresses

Deleted them.

 The following email addresses have been removed:
5.july13_3rd@acme.com
5.july13_2nd@acme.com


==> ok

INOPIAE

2013-10-15 21:34

updater   ~0004390

please deploy

wytze

2013-10-21 09:20

developer   ~0004400

The patch has been installed on the production server on October 21, 2013. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2013-10/msg00008.html

Issue History

Date Modified Username Field Change
2008-06-30 16:08 C_A New Issue
2012-12-18 06:59 Werner Dworak Relationship added has duplicate 0001126
2012-12-26 05:10 Werner Dworak Relationship added has duplicate 0001006
2012-12-26 05:12 Werner Dworak Note Added: 0003563
2012-12-26 05:12 Werner Dworak Status new => needs work
2012-12-26 05:12 Werner Dworak Note Edited: 0003563 View Revisions
2013-01-18 23:06 INOPIAE Note Added: 0003705
2013-01-18 23:06 INOPIAE Assigned To => BenBE
2013-01-18 23:06 INOPIAE Status needs work => fix available
2013-02-19 23:02 BenBE Reviewed by => BenBE
2013-02-19 23:02 BenBE Assigned To BenBE => NEOatNHNG
2013-02-19 23:02 BenBE Status fix available => needs review & testing
2013-02-19 23:02 BenBE Product Version => 2008
2013-02-19 23:05 BenBE Source_changeset_attached => cacert-devel testserver-stable fb405e58
2013-02-19 23:05 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 64e2d63b
2013-02-19 23:05 INOPIAE Source_changeset_attached => cacert-devel testserver-stable c6118a14
2013-02-19 23:36 MartinGummi Note Added: 0003762
2013-02-20 00:05 BenBE Source_changeset_attached => cacert-devel testserver-stable 4b04a2d9
2013-02-20 00:05 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 8de81b57
2013-02-20 00:06 INOPIAE Note Added: 0003763
2013-02-20 05:55 Werner Dworak Note Added: 0003765
2013-02-20 08:45 BenBE Source_changeset_attached => cacert-devel testserver-stable af8bc460
2013-02-20 08:45 INOPIAE Source_changeset_attached => cacert-devel testserver-stable dc7e1e07
2013-04-16 21:11 INOPIAE Note Added: 0003893
2013-04-16 21:11 INOPIAE Status needs review & testing => needs review
2013-05-07 23:03 NEOatNHNG Reviewed by BenBE => NEOatNHNG, BenBE
2013-05-07 23:03 NEOatNHNG Note Added: 0003983
2013-05-07 23:03 NEOatNHNG Status needs review => ready to deploy
2013-05-13 19:24 BenBE Note Added: 0003991
2013-05-13 19:24 BenBE Target Version => 2013 Q2
2013-05-13 20:00 BenBE Source_changeset_attached => cacert-devel release cce4cb6f
2013-05-14 23:45 INOPIAE Status ready to deploy => needs review & testing
2013-05-21 21:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 0a5933fd
2013-05-21 21:50 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 9500530c
2013-05-21 21:50 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 8903b327
2013-06-04 20:49 INOPIAE Note Added: 0004039
2013-06-04 20:55 INOPIAE Note Edited: 0004039 View Revisions
2013-06-11 22:16 INOPIAE Note Added: 0004050
2013-06-11 22:50 BenBE Status needs review & testing => needs testing
2013-08-27 22:41 NEOatNHNG Note Added: 0004257
2013-08-27 22:50 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable f900d016
2013-08-27 22:50 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 68056545
2013-08-27 22:52 NEOatNHNG Note Added: 0004259
2013-08-27 22:53 NEOatNHNG Reviewed by NEOatNHNG, BenBE => NEOatNHNG
2013-08-27 22:53 NEOatNHNG Status needs testing => needs review & testing
2013-08-27 22:57 BenBE Reviewed by NEOatNHNG => NEOatNHNG, BenBE
2013-08-27 22:57 BenBE Status needs review & testing => needs testing
2013-08-27 22:57 BenBE Note Added: 0004260
2013-09-06 20:40 Eva Note Added: 0004302
2013-10-15 20:48 INOPIAE Note Added: 0004385
2013-10-15 20:58 MartinGummi Note Added: 0004386
2013-10-15 21:34 INOPIAE Note Added: 0004390
2013-10-15 21:34 INOPIAE Status needs testing => ready to deploy
2013-10-16 16:00 BenBE Source_changeset_attached => cacert-devel release 7385b457
2013-10-21 09:20 wytze Note Added: 0004400
2013-10-21 09:20 wytze Status ready to deploy => solved?
2013-10-21 09:20 wytze Fixed in Version => 2013 Q4
2013-10-21 09:20 wytze Resolution open => fixed
2014-01-21 09:32 INOPIAE Status solved? => closed